package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.PersistentVolumeClaimModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s PersistentVolumeClaimProvider
 *
 * @时间 2019年8月21日
 */
public interface PersistentVolumeClaimProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(PersistentVolumeClaimModel model);

    public BocloudResult remove(PersistentVolumeClaimModel model);

    public BocloudResult detail(PersistentVolumeClaimModel model);

    public BocloudResult modify(PersistentVolumeClaimModel model);
}
